//**************
// SKYBOX
//**************

textures/sp-5n4k3/skybox
{
	qer_editorimage textures/sp-5n4k3/ed_skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.05355 0.53440 0.87905 80 60 90
//	q3map_surfacelight 120
//	q3map_lightsuvdivide 256
	skyparms textures/sp-5n4k3/env/zsky 512 -
}


//*************
// flare
//*************
textures/sp-5n4k3/flare
{
	deformVertexes autoSprite

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	cull none

	qer_editorimage gfx/misc/flare5.tga
	{
		map gfx/misc/flare5.tga
		blendFunc add
		rgbGen const ( 0.082 0.255 0.651 )
	}
}

//*************
// teleport
//*************

textures/sp-5n4k3/telep
{ 
	cull none
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_forcesunlight
	sort 8
	{	        
		clampmap textures/sp-5n4k3/telep.tga
		blendFunc add
		tcmod stretch triangle 1 0.05 0 13
		tcmod rotate 327
		rgbGen identitylighting
	}
	{
		clampmap textures/sp-5n4k3/telep2.tga
		blendFunc add
//		tcmod stretch triangle 1 0.05 0.5 666
		tcmod rotate -211
		rgbGen identitylighting
	}
}

//************
// snake finger
//************
textures/sp-5n4k3/snake_finger
{
	q3map_forcesunlight
	surfaceparm trans
//	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm nolightmap
//	cull none
	{
		map textures/sp-5n4k3/snake_finger.tga
		rgbGen vertex
		tcMod Rotate 180
	}
}

//************
// beams
//************

textures/sp-5n4k3/beam_blue4
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nodamage
	surfaceparm nosteps
	cull none
	q3map_forcesunlight
	{
		map textures/sp-5n4k3/beam_blue4.tga
		tcMod Scroll .4 .1
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/sp-5n4k3/beam_blue4_static
{
	qer_editorimage textures/sp-5n4k3/beam_blue4.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	q3map_forcesunlight
	{
		map textures/sp-5n4k3/beam_blue4.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}

textures/sp-5n4k3/floor_special
{
	qer_editorimage sprites/inferno_blue.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm monsterclip
	surfaceparm nolightmap
	cull none
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map sprites/inferno_blue.tga
		//map sprites/lightningGlow.tga
		tcMod Turb 1 .5 0 0.1
		tcGen environment
		blendFunc GL_ONE GL_ONE
		//rgbGen identityLighting
		//rgbGen const ( 0.25 0.25 0.25 )
		rgbGen identity
        }
}

textures/sp-5n4k3/screw
{
	qer_editorimage textures/sfx/electricslime.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//q3map_forcesunlight
	cull none
	{
		map textures/sfx/electricslime.tga
		tcMod Turb .5 .4 0 .6
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbGen vertex
		rgbgen identityLighting
		alphagen vertex
        }
}
//***************
// snake tongue
//***************
textures/sp-5n4k3/dqn_tongue
{
	qer_editorimage textures/sp-5n4k3/dqn_tongue.tga
	surfaceparm trans
	tessSize 16
	deformVertexes wave 194 sin 0 2 0 2
//	deformVertexes normal .5 .1
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sp-5n4k3/dqn_tongue.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
        }
}

//***************
// solids
//***************

textures/sp-5n4k3/trim_shiney
{
	surfaceparm nolightmap
	{
		map textures/sp-5n4k3/trim_env.tga
		tcGen environment
		rgbGen const ( 0.05355 0.53440 0.87905 )
	}   
	{
		map textures/sp-5n4k3/trim_shiney.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen vertex
	} 
}

textures/sp-5n4k3/snake_floor
{
	surfaceparm nonsolid
	surfaceparm playerclip
	{
		map textures/castle_floor/floor_c03.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/sp-5n4k3/title
{
	qer_trans 1.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	nopicmip
	nomipmaps
	{
		map textures/sp-5n4k3/title.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
	}
}
